package com.seatel.mobilehall.ui.yes_member.interactor

import com.android.volley.VolleyError
import com.seatel.mobilehall.ui.yes_member.model.PartnerCategoryModelItem
import com.seatel.mobilehall.ui.yes_member.model.TopPartnerModelItem

interface TopPartnerInteractor {

    interface View {
        fun responseTopPartnerSucceed(topPartnerList: ArrayList<TopPartnerModelItem>)
        fun responseTopPartnerFail(error: VolleyError)
        fun responsePartnerCategorySucceed(partnerCategory: ArrayList<PartnerCategoryModelItem>)
        fun responsePartnerCategoryFail(error: VolleyError)

    }

    interface Presenter {
        fun onTopPartnerData()
        fun onPartnerCategory()
    }
}